program MathGLChapter2;

uses
  Math,
  mgl_pas;

procedure main;
var
  gr:       HMGL;

begin
  gr := mgl_create_graph(600, 400);
  mgl_fplot(gr, 'sin(pi*x)', '', '');
  mgl_write_frame(gr, 'sinus_curve.bmp', '');
  mgl_write_frame(gr, 'sinus_curve.svg', '');
  mgl_write_frame(gr, 'sinus_curve.png', '');
  mgl_delete_graph(gr);
  writeln('Sinuscurve written to "sinus_curve.png+svg+png".');
end;

begin
  SetExceptionMask([exDenormalized, exInvalidOp, exOverflow, exPrecision, exUnderflow, exZeroDivide]);
  main;
end.


